Subject: bug#49253: 27.2; Emacs non-responsive when pasting into terminal-mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Jun 2021 21:37:35 +0300

> From: Matt Bisson <[email-masked]>
> Date: Mon, 28 Jun 2021 14:11:56 -0400
> Cc: [email-masked]
> 
> No.  (Unless I'm misunderstanding what you're asking) the problem can
> occur at any time.  It's in response to simply pasting from the
> clipboard into a terminal application.  I can start Emacs, run for
> days normally -- using terminal-mode, editing files, and so forth.
> The second I go into the terminal-mode buffer and paste from the
> (Windows, Mac, whatever) clipboard (NOT using the Emacs yank command),
> the problem happens.

Wait a minute: what do you mean by "terminal-mode buffer" into which
you need to go?  More generally, can you describe a detailed recipe
for reproducing the problem on your system, keystroke by keystroke?

> > No, it's the other way around: you start Emacs from GDB.  There are
> > some instructions in etc/DEBUG.
> 
> Yes, I do know that's what you mean :) but it's not as if Emacs is
> going to crash, and stop in the debugger.

You are investigating the error message saying "Failed select".
Search the *.c files for that text, and you will find only 3 instances
of it.  Put a breakpoint in all these 3 places, then do whatever it
takes to reproduce the problem, and you will be able to collect the
information I asked about.